/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.rule;

// Java classes
import java.math.BigDecimal;
import java.util.Date;

// ESR classes

/**
 * @author Carlos Ruiz
 * @version 1.0
 */
public interface SpouseFinancialInput extends FinancialInfoInput {
    
    public boolean isDemographicUpdate();
    
    public Date getSpouseDateOfBirth();
    
    public Boolean getSpouseLivesWithVeteran();
    
    public String getSpouseGivenName();
    
    public String getSpouseFamilyName();
    
    public String getSpouseSSN();
    
    public boolean isSpouseSSNUsed();
        
	public boolean isSpouseLivesWithVeteran(); 
	
    public boolean hasSpouseData();
       
    public Date getMarriageDate();
    
    public Date getSpouseInactiveDate();   
    
    public BigDecimal getDebtAmount();
    
    public boolean isDebtInRange(double lower, double upper);
    
    public BigDecimal getSpousalContributionAmount();
    
    public Boolean getContributedToSpouseInd();    
    
    public boolean isContributionInRange(double lower, double upper);
}
